ALTER TABLE Объект ADD Номер_документа nvarchar(50) NULL
ALTER TABLE Объект ADD Дата_документа datetime NULL

GO

ALTER VIEW ExistingObjects
	WITH SCHEMABINDING
	AS
	SELECT 
	   	Код_объекта,
	        Код_типа_объекта,     
	        Код_диспетчерского_управления, 
	        Код_организации_владельца, 
	        Наименование,         
	        Код_объекта_владельца,
		Инвентарный_номер,    
		Примечание,	     
		GUID,		     
	        Балансовая_стоимость, 
	        Код_обслуживающей_организации, 
	        Порядковый_номер,
		Номер_документа,
		Дата_документа,
		В_проекте     
	FROM dbo.Объект
	WHERE В_проекте = 0
	WITH CHECK OPTION

GO

ALTER VIEW DesignObjects
	WITH SCHEMABINDING
	AS
	SELECT 
	   	Код_объекта,
	        Код_типа_объекта,     
	        Код_диспетчерского_управления, 
	        Код_организации_владельца, 
	        Наименование,         
	        Код_объекта_владельца,
		Инвентарный_номер,    
		Примечание,	     
		GUID,		     
	        Балансовая_стоимость, 
	        Код_обслуживающей_организации, 
	        Порядковый_номер,
		Номер_документа,
		Дата_документа,
 		В_проекте     
	FROM dbo.Объект
	WHERE В_проекте = 1
	WITH CHECK OPTION

